Params (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.features2d

## Class Params

- java.lang.Object
- - org.opencv.features2d.Params

-     public class Params
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `Params()`
    `protected` | `Params(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Params` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `boolean` | `get_filterByArea()`
    `boolean` | `get_filterByCircularity()`
    `boolean` | `get_filterByColor()`
    `boolean` | `get_filterByConvexity()`
    `boolean` | `get_filterByInertia()`
    `float` | `get_maxArea()`
    `float` | `get_maxCircularity()`
    `float` | `get_maxConvexity()`
    `float` | `get_maxInertiaRatio()`
    `float` | `get_maxThreshold()`
    `float` | `get_minArea()`
    `float` | `get_minCircularity()`
    `float` | `get_minConvexity()`
    `float` | `get_minDistBetweenBlobs()`
    `float` | `get_minInertiaRatio()`
    `long` | `get_minRepeatability()`
    `float` | `get_minThreshold()`
    `float` | `get_thresholdStep()`
    `long` | `getNativeObjAddr()`
    `void` | `set_filterByArea(boolean filterByArea)`
    `void` | `set_filterByCircularity(boolean filterByCircularity)`
    `void` | `set_filterByColor(boolean filterByColor)`
    `void` | `set_filterByConvexity(boolean filterByConvexity)`
    `void` | `set_filterByInertia(boolean filterByInertia)`
    `void` | `set_maxArea(float maxArea)`
    `void` | `set_maxCircularity(float maxCircularity)`
    `void` | `set_maxConvexity(float maxConvexity)`
    `void` | `set_maxInertiaRatio(float maxInertiaRatio)`
    `void` | `set_maxThreshold(float maxThreshold)`
    `void` | `set_minArea(float minArea)`
    `void` | `set_minCircularity(float minCircularity)`
    `void` | `set_minConvexity(float minConvexity)`
    `void` | `set_minDistBetweenBlobs(float minDistBetweenBlobs)`
    `void` | `set_minInertiaRatio(float minInertiaRatio)`
    `void` | `set_minRepeatability(long minRepeatability)`
    `void` | `set_minThreshold(float minThreshold)`
    `void` | `set_thresholdStep(float thresholdStep)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### Params

          protected Params(long addr)

    - #### Params

          public Params()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static Params __fromPtr__(long addr)

    - #### get_thresholdStep

          public float get_thresholdStep()

    - #### set_thresholdStep

          public void set_thresholdStep(float thresholdStep)

    - #### get_minThreshold

          public float get_minThreshold()

    - #### set_minThreshold

          public void set_minThreshold(float minThreshold)

    - #### get_maxThreshold

          public float get_maxThreshold()

    - #### set_maxThreshold

          public void set_maxThreshold(float maxThreshold)

    - #### get_minRepeatability

          public long get_minRepeatability()

    - #### set_minRepeatability

          public void set_minRepeatability(long minRepeatability)

    - #### get_minDistBetweenBlobs

          public float get_minDistBetweenBlobs()

    - #### set_minDistBetweenBlobs

          public void set_minDistBetweenBlobs(float minDistBetweenBlobs)

    - #### get_filterByColor

          public boolean get_filterByColor()

    - #### set_filterByColor

          public void set_filterByColor(boolean filterByColor)

    - #### get_filterByArea

          public boolean get_filterByArea()

    - #### set_filterByArea

          public void set_filterByArea(boolean filterByArea)

    - #### get_minArea

          public float get_minArea()

    - #### set_minArea

          public void set_minArea(float minArea)

    - #### get_maxArea

          public float get_maxArea()

    - #### set_maxArea

          public void set_maxArea(float maxArea)

    - #### get_filterByCircularity

          public boolean get_filterByCircularity()

    - #### set_filterByCircularity

          public void set_filterByCircularity(boolean filterByCircularity)

    - #### get_minCircularity

          public float get_minCircularity()

    - #### set_minCircularity

          public void set_minCircularity(float minCircularity)

    - #### get_maxCircularity

          public float get_maxCircularity()

    - #### set_maxCircularity

          public void set_maxCircularity(float maxCircularity)

    - #### get_filterByInertia

          public boolean get_filterByInertia()

    - #### set_filterByInertia

          public void set_filterByInertia(boolean filterByInertia)

    - #### get_minInertiaRatio

          public float get_minInertiaRatio()

    - #### set_minInertiaRatio

          public void set_minInertiaRatio(float minInertiaRatio)

    - #### get_maxInertiaRatio

          public float get_maxInertiaRatio()

    - #### set_maxInertiaRatio

          public void set_maxInertiaRatio(float maxInertiaRatio)

    - #### get_filterByConvexity

          public boolean get_filterByConvexity()

    - #### set_filterByConvexity

          public void set_filterByConvexity(boolean filterByConvexity)

    - #### get_minConvexity

          public float get_minConvexity()

    - #### set_minConvexity

          public void set_minConvexity(float minConvexity)

    - #### get_maxConvexity

          public float get_maxConvexity()

    - #### set_maxConvexity

          public void set_maxConvexity(float maxConvexity)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown